import { NgxMonacoEditorConfig } from "ngx-monaco-editor-v2";


export function onMonacoEditorLoad(id: string = 'java') {

  (<any>window).monaco.languages.register({ id });

  (<any>window).monaco.languages.registerCompletionItemProvider(id, {
    triggerCharacters : ['1'],
    providerCompletionItems: function () {
      var suggestions = [
        {
          label: 'simpleText',
          kind: (<any>window).monaco.languages.CompletionItemKind.Text,
          insertText: 'simpleText'
        },
        {
          label: 'testing',
          kind: (<any>window).monaco.languages.CompletionItemKind.Keyword,
          insertText: 'testing(${1:condition})',
          insertTextRules: (<any>window).monaco.languages.CompletionItemInsertTextRule.InsertAsSnippet
        },
        {
          label: 'ifelse',
          kind: (<any>window).monaco.languages.CompletionItemKind.Snippet,
          insertTest: ['if (${1:condition}) {', '\t$0', '} else {', '\t', '}'].join('\n'),
          insertTextRules: (<any>window).monaco.languages.CompletionItemInsertTextRule.InsertAsSnippet,
          documentation: 'If-Else Statement'
        },
      ];
      return { suggestions: suggestions };
    }
  });

}

export const monacoConfig: NgxMonacoEditorConfig = {
  baseUrl: './assets',
  defaultOptions: { scrollBeyondLastLine: false },
  onMonacoLoad: onMonacoEditorLoad
};